ECONF_SET_CONF_DIRS(3)

NAME
econf_set_conf_dirs - sets the list of configuration directory post-fixes

SYNOPSIS

#include <libeconf.h>

econf_err econf_set_conf_dirs(const char **dir_postfix_list);

DESCRIPTION

The econf_set_conf_dirs() function sets a list of directory structures (with order) which describes the directories in which the files have to be parsed.

The argument dir_postfix_list is an array of null-terminated strings, terminated by a NULL pointer.

E.G. with the given list: {"/conf.d/", ".d/", "/", NULL} files in following directories will be parsed: <default_dirs>/<project_name>.<suffix>.d/ <default_dirs>/<project_name>/conf.d/, <default_dirs>/<project_name>.d/, <default_dirs>/<project_name>/. The entry <default_dirs>/<project_name>.<suffix>.d/ will be added automatically.

RETURN VALUE

On success, econf_set_conf_dirs() returns ECONF_SUCCESS.

On failure, an error code of type econf_err is returned.

ERRORS

ECONF_NOMEM
              Out of memory.

SEE ALSO

libeconf(3), econf_readConfig(3), econf_errString(3).